Capability explorer plugin updated for Moodle 3.0

November 3rd, 2015

Capability explorer plugin which is an admin tool plugin and is primarily designed to help Moodle administrators understand how Moodle’s capability system works, has been updated to a new version supporting Moodle 2.9 & Moodle 3.0

According to the plugin description:

Given a user, capability and context the tool will provide a detailed breakdown of the process used to calculate if the capability would be granted to the user in the context specified.

The tool uses the existing system data so you can use it to figure out why a particular user does or doesn’t have a capability. It is designed to be complementary to Moodle’s other permission tools such as Check system permissions or the Capability Overview Report.

More details about using the Capability Explorer plugin can be found here. You can download the latest version of the Capability explorer plugin from the Moodle plugins database through this link –

The plugin is maintained by Simon Coggins and has been awarded with the Reviewers’ choice badge. Reviewers’ choice badges are given by the plugins guardians and reviewers for particularly useful, well coded or otherwise interesting plugins.

Have you ever used this plugin before in any of your Moodle sites? How was your experience with it? Do let us know in the comments in the comments below.